prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_190100 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2016.08.24'
,p_release=>'5.1.3.00.05'
,p_default_workspace_id=>21717127411908241868
,p_default_application_id=>103428
,p_default_owner=>'RD_DEV'
);
end;
/
prompt --application/shared_components/plugins/region_type/apex_tetris
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(54952113935327667410)
,p_plugin_type=>'REGION TYPE'
,p_name=>'APEX.TETRIS'
,p_display_name=>'APEX Tetris'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'FUNCTION F_RENDER (',
'    P_REGION                IN APEX_PLUGIN.T_REGION,',
'    P_PLUGIN                IN APEX_PLUGIN.T_PLUGIN,',
'    P_IS_PRINTER_FRIENDLY   IN BOOLEAN',
') RETURN APEX_PLUGIN.T_REGION_RENDER_RESULT IS',
'BEGIN',
'    APEX_JAVASCRIPT.ADD_LIBRARY( P_NAME => ''script.min'', P_DIRECTORY => P_PLUGIN.FILE_PREFIX, P_VERSION => NULL, P_KEY => ''tetris-script'');',
'',
'    SYS.HTP.P( ''<div style="text-align:center;">',
'                    <div id="''|| APEX_ESCAPE.HTML_ATTRIBUTE( P_REGION.STATIC_ID ) ||''_tetris"></div>',
'                    <div style="margin-top:20px;margin-bottom:20px;">',
'                      <button style="width:20%" class="t-Button t-Button--noLabel t-Button--icon t-Button--large tetris-left" ',
'                       onclick="void(0);" type="button"><span class="t-Icon fa fa-arrow-circle-left" aria-hidden="true"></span></button>',
'                      <button style="width:20%" class="t-Button t-Button--noLabel t-Button--icon t-Button--large tetris-rotate" ',
'                       onclick="void(0);" type="button"><span class="t-Icon fa fa-repeat" aria-hidden="true"></span></button>',
'                      <button class="t-Button t-Button--noLabel t-Button--icon t-Button--large tetris-pause" ',
'                       onclick="void(0);" type="button"><span class="t-Icon fa fa-coffee" aria-hidden="true"></span></button>',
'                      <button style="width:20%" class="t-Button t-Button--noLabel t-Button--icon t-Button--large tetris-down" ',
'                       onclick="void(0);" type="button"><span class="t-Icon fa fa-arrow-circle-down" aria-hidden="true"></span></button>',
'                      <button style="width:20%" class="t-Button t-Button--noLabel t-Button--icon t-Button--large tetris-right" ',
'                       onclick="void(0);" type="button"><span class="t-Icon fa fa-arrow-circle-right" aria-hidden="true"></span></button>',
'                     </div>',
'                     <div class="description">',
'                        &#8592; &#8593; &#8594; &#8595; to move, P to pause',
'                        <br/> Speed increases every 1000 earned score points',
'                        <br/> Click to play',
'                    </div>',
'                </div>'');',
'',
'    APEX_JAVASCRIPT.ADD_ONLOAD_CODE( ''initTetris('' ',
'                                    || APEX_JAVASCRIPT.ADD_VALUE( P_REGION.STATIC_ID || ''_tetris'', TRUE )',
'                                    || APEX_JAVASCRIPT.ADD_VALUE( p_region.attribute_01, TRUE )',
'                                    || APEX_JAVASCRIPT.ADD_VALUE( p_region.attribute_02, FALSE )',
'                                    || '');'' );',
'',
'    RETURN NULL;',
'END;'))
,p_api_version=>1
,p_render_function=>'F_RENDER'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_version_identifier=>'1.1'
,p_about_url=>'https://github.com/RonnyWeiss/Apex-Tetris'
,p_files_version=>1253
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(54998603358876929043)
,p_plugin_id=>wwv_flow_api.id(54952113935327667410)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Frame Color'
,p_attribute_type=>'COLOR'
,p_is_required=>true
,p_default_value=>'#797979'
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(54998656210005709789)
,p_plugin_id=>wwv_flow_api.id(54952113935327667410)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Blocks Color'
,p_attribute_type=>'COLOR'
,p_is_required=>true
,p_default_value=>'#c64953'
,p_is_translatable=>false
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '68747470733A2F2F626C6F672E636F646570656E2E696F2F6C6567616C2F6C6963656E73696E672F0D0A3D3E200D0A68747470733A2F2F636F646570656E2E696F2F736B79626972647472696C6C2F70656E2F4E4E777A714E3F713D63616E7661732B74';
wwv_flow_api.g_varchar2_table(2) := '6574726973266C696D69743D616C6C26747970653D747970652D70656E73';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(31943047742977214638)
,p_plugin_id=>wwv_flow_api.id(54952113935327667410)
,p_file_name=>'LICENSE4LIBS'
,p_mime_type=>'application/octet-stream'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '4D4954204C6963656E73650A0A436F7079726967687420286329203230313920526F6E6E792057656973730A0A5065726D697373696F6E20697320686572656279206772616E7465642C2066726565206F66206368617267652C20746F20616E79207065';
wwv_flow_api.g_varchar2_table(2) := '72736F6E206F627461696E696E67206120636F70790A6F66207468697320736F66747761726520616E64206173736F63696174656420646F63756D656E746174696F6E2066696C657320287468652022536F66747761726522292C20746F206465616C0A';
wwv_flow_api.g_varchar2_table(3) := '696E2074686520536F66747761726520776974686F7574207265737472696374696F6E2C20696E636C7564696E6720776974686F7574206C696D69746174696F6E20746865207269676874730A746F207573652C20636F70792C206D6F646966792C206D';
wwv_flow_api.g_varchar2_table(4) := '657267652C207075626C6973682C20646973747269627574652C207375626C6963656E73652C20616E642F6F722073656C6C0A636F70696573206F662074686520536F6674776172652C20616E6420746F207065726D697420706572736F6E7320746F20';
wwv_flow_api.g_varchar2_table(5) := '77686F6D2074686520536F6674776172652069730A6675726E697368656420746F20646F20736F2C207375626A65637420746F2074686520666F6C6C6F77696E6720636F6E646974696F6E733A0A0A5468652061626F766520636F70797269676874206E';
wwv_flow_api.g_varchar2_table(6) := '6F7469636520616E642074686973207065726D697373696F6E206E6F74696365207368616C6C20626520696E636C7564656420696E20616C6C0A636F70696573206F72207375627374616E7469616C20706F7274696F6E73206F662074686520536F6674';
wwv_flow_api.g_varchar2_table(7) := '776172652E0A0A54484520534F4654574152452049532050524F564944454420224153204953222C20574954484F55542057415252414E5459204F4620414E59204B494E442C2045585052455353204F520A494D504C4945442C20494E434C5544494E47';
wwv_flow_api.g_varchar2_table(8) := '20425554204E4F54204C494D4954454420544F205448452057415252414E54494553204F46204D45524348414E544142494C4954592C0A4649544E45535320464F52204120504152544943554C415220505552504F534520414E44204E4F4E494E465249';
wwv_flow_api.g_varchar2_table(9) := '4E47454D454E542E20494E204E4F204556454E54205348414C4C205448450A415554484F5253204F5220434F5059524947485420484F4C44455253204245204C4941424C4520464F5220414E5920434C41494D2C2044414D41474553204F52204F544845';
wwv_flow_api.g_varchar2_table(10) := '520A4C494142494C4954592C205748455448455220494E20414E20414354494F4E204F4620434F4E54524143542C20544F5254204F52204F54484552574953452C2041524953494E472046524F4D2C0A4F5554204F46204F5220494E20434F4E4E454354';
wwv_flow_api.g_varchar2_table(11) := '494F4E20574954482054484520534F465457415245204F522054484520555345204F52204F54484552204445414C494E475320494E205448450A534F4654574152452E0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(54952114402791667419)
,p_plugin_id=>wwv_flow_api.id(54952113935327667410)
,p_file_name=>'LICENSE'
,p_mime_type=>'application/octet-stream'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '66756E6374696F6E20696E697454657472697328742C652C6F297B2166756E6374696F6E2874297B76617220723D7B6E6F64653A6E756C6C2C636F6E746578743A6E756C6C2C77696474683A3431322C6865696768743A3430382C626C6F636B53696465';
wwv_flow_api.g_varchar2_table(2) := '3A32332C636F6C6F724672616D653A2272676261283132312C3132312C3132312C302E3829222C636F6C6F72426C6F636B733A22726762283139322C302C31352C302E3629227D3B722E647261774261636B67726F756E643D66756E6374696F6E28297B';
wwv_flow_api.g_varchar2_table(3) := '746869732E636F6E746578742E66696C6C5374796C653D2223663866386666222C746869732E636F6E746578742E7374726F6B655374796C653D657C7C722E636F6C6F724672616D652C746869732E636F6E746578742E66696C6C5265637428302C302C';
wwv_flow_api.g_varchar2_table(4) := '746869732E77696474682C746869732E686569676874292C746869732E636F6E746578742E6C696E6557696474683D382C746869732E636F6E746578742E7374726F6B655265637428302C302C746869732E77696474682C746869732E68656967687429';
wwv_flow_api.g_varchar2_table(5) := '2C746869732E636F6E746578742E6C696E6557696474683D342C746869732E636F6E746578742E626567696E5061746828292C746869732E636F6E746578742E6D6F7665546F283235362C30292C746869732E636F6E746578742E6C696E65546F283235';
wwv_flow_api.g_varchar2_table(6) := '362C746869732E686569676874292C746869732E636F6E746578742E7374726F6B6528292C746869732E636F6E746578742E636C6F73655061746828292C746869732E636F6E746578742E66696C6C5374796C653D6F7C7C722E636F6C6F72426C6F636B';
wwv_flow_api.g_varchar2_table(7) := '732C746869732E636F6E746578742E66696C6C54657874282253636F72653A222C3239382C3735292C746869732E636F6E746578742E66696C6C54657874286E2E73636F72652E616D6F756E742C3333302D6E2E73636F72652E68616C6657696474682C';
wwv_flow_api.g_varchar2_table(8) := '313235292C746869732E636F6E746578742E66696C6C5465787428224E6578743A222C3330382C323230292C746869732E636F6E746578742E6C696E6557696474683D322C746869732E636F6E746578742E7374726F6B6552656374283238332C323535';
wwv_flow_api.g_varchar2_table(9) := '2C3130322C313032292C746869732E636F6E746578742E7374726F6B655374796C653D2223663866386666227D2C722E64726177426C6F636B3D66756E6374696F6E28742C65297B766172206F3D652A28746869732E626C6F636B536964652B32292B35';
wwv_flow_api.g_varchar2_table(10) := '2C723D742A28746869732E626C6F636B536964652B32292B353B746869732E636F6E746578742E7374726F6B6552656374286F2C722C746869732E626C6F636B536964652C746869732E626C6F636B53696465292C746869732E636F6E746578742E6669';
wwv_flow_api.g_varchar2_table(11) := '6C6C52656374286F2C722C746869732E626C6F636B536964652C746869732E626C6F636B53696465297D2C722E64726177426C6F636B733D66756E6374696F6E28297B666F722876617220743D303B743C6E2E726F77733B742B2B29666F722876617220';
wwv_flow_api.g_varchar2_table(12) := '653D303B653C6E2E636F6C733B652B2B296E2E626C6F636B735B745D5B655D2626746869732E64726177426C6F636B28742C65297D2C722E647261774E657874426C6F636B3D66756E6374696F6E28742C65297B766172206F3D652A28746869732E626C';
wwv_flow_api.g_varchar2_table(13) := '6F636B536964652B32292B3238352C723D742A28746869732E626C6F636B536964652B32292B3235373B746869732E636F6E746578742E7374726F6B6552656374286F2C722C746869732E626C6F636B536964652C746869732E626C6F636B5369646529';
wwv_flow_api.g_varchar2_table(14) := '2C746869732E636F6E746578742E66696C6C52656374286F2C722C746869732E626C6F636B536964652C746869732E626C6F636B53696465297D2C722E647261774E657874426C6F636B733D66756E6374696F6E28297B666F722876617220743D303B74';
wwv_flow_api.g_varchar2_table(15) := '3C6E2E6E657874536964653B742B2B29666F722876617220653D303B653C6E2E6E657874536964653B652B2B29692E6E6578742E746574726F6D696E6F5B745D5B655D2626746869732E647261774E657874426C6F636B28742C65297D2C722E64726177';
wwv_flow_api.g_varchar2_table(16) := '50617573653D66756E6374696F6E2874297B746869732E636F6E746578742E66696C6C5374796C653D2223663866386666222C746869732E636F6E746578742E7374726F6B655374796C653D657C7C722E636F6C6F724672616D652C746869732E636F6E';
wwv_flow_api.g_varchar2_table(17) := '746578742E66696C6C526563742835302C3131302C3135382C3830292C746869732E636F6E746578742E7374726F6B65526563742835302C3131302C3135382C3830292C746869732E636F6E746578742E7374726F6B65526563742835332C3131332C31';
wwv_flow_api.g_varchar2_table(18) := '35322C3734292C746869732E636F6E746578742E66696C6C5374796C653D657C7C722E636F6C6F724672616D652C746869732E636F6E746578742E66696C6C54657874286E2E7061757365546578745B745D2E746578742C3133302D6E2E706175736554';
wwv_flow_api.g_varchar2_table(19) := '6578745B745D2E68616C6657696474682C313535292C746869732E636F6E746578742E7374726F6B655374796C653D2223663866386666227D2C722E647261773D66756E6374696F6E28297B746869732E647261774261636B67726F756E6428292C7468';
wwv_flow_api.g_varchar2_table(20) := '69732E64726177426C6F636B7328292C746869732E647261774E657874426C6F636B7328297D3B76617220693D7B7D3B692E63757272656E743D7B746574726F6D696E6F3A6E756C6C2C6E756D6265723A302C646972656374696F6E3A302C783A302C79';
wwv_flow_api.g_varchar2_table(21) := '3A307D2C692E6E6578743D7B746574726F6D696E6F3A5B5B312C312C312C315D2C5B312C312C312C315D2C5B312C312C312C315D2C5B312C312C312C315D5D2C6E756D6265723A302C646972656374696F6E3A307D2C692E636F6C6C656374696F6E3D5B';
wwv_flow_api.g_varchar2_table(22) := '5B5B5B302C302C312C305D2C5B302C302C312C305D2C5B302C302C312C305D2C5B302C302C312C305D5D2C5B5B302C302C302C305D2C5B312C312C312C315D2C5B302C302C302C305D2C5B302C302C302C305D5D2C5B5B302C302C312C305D2C5B302C30';
wwv_flow_api.g_varchar2_table(23) := '2C312C305D2C5B302C302C312C305D2C5B302C302C312C305D5D2C5B5B302C302C302C305D2C5B312C312C312C315D2C5B302C302C302C305D2C5B302C302C302C305D5D5D2C5B5B5B302C302C312C305D2C5B302C302C312C305D2C5B302C312C312C30';
wwv_flow_api.g_varchar2_table(24) := '5D2C5B302C302C302C305D5D2C5B5B302C302C302C305D2C5B302C312C302C305D2C5B302C312C312C315D2C5B302C302C302C305D5D2C5B5B302C312C312C305D2C5B302C312C302C305D2C5B302C312C302C305D2C5B302C302C302C305D5D2C5B5B30';
wwv_flow_api.g_varchar2_table(25) := '2C302C302C305D2C5B302C312C312C315D2C5B302C302C302C315D2C5B302C302C302C305D5D5D2C5B5B5B302C312C302C305D2C5B302C312C302C305D2C5B302C312C312C305D2C5B302C302C302C305D5D2C5B5B302C302C302C305D2C5B302C302C31';
wwv_flow_api.g_varchar2_table(26) := '2C305D2C5B312C312C312C305D2C5B302C302C302C305D5D2C5B5B302C312C312C305D2C5B302C302C312C305D2C5B302C302C312C305D2C5B302C302C302C305D5D2C5B5B302C302C302C305D2C5B312C312C312C305D2C5B312C302C302C305D2C5B30';
wwv_flow_api.g_varchar2_table(27) := '2C302C302C305D5D5D2C5B5B5B302C302C302C305D2C5B302C312C312C305D2C5B302C312C312C305D2C5B302C302C302C305D5D2C5B5B302C302C302C305D2C5B302C312C312C305D2C5B302C312C312C305D2C5B302C302C302C305D5D2C5B5B302C30';
wwv_flow_api.g_varchar2_table(28) := '2C302C305D2C5B302C312C312C305D2C5B302C312C312C305D2C5B302C302C302C305D5D2C5B5B302C302C302C305D2C5B302C312C312C305D2C5B302C312C312C305D2C5B302C302C302C305D5D5D2C5B5B5B302C312C302C305D2C5B302C312C312C30';
wwv_flow_api.g_varchar2_table(29) := '5D2C5B302C302C312C305D2C5B302C302C302C305D5D2C5B5B302C302C302C305D2C5B302C302C312C315D2C5B302C312C312C305D2C5B302C302C302C305D5D2C5B5B302C312C302C305D2C5B302C312C312C305D2C5B302C302C312C305D2C5B302C30';
wwv_flow_api.g_varchar2_table(30) := '2C302C305D5D2C5B5B302C302C302C305D2C5B302C302C312C315D2C5B302C312C312C305D2C5B302C302C302C305D5D5D2C5B5B5B302C302C302C305D2C5B302C312C302C305D2C5B312C312C312C305D2C5B302C302C302C305D5D2C5B5B302C302C30';
wwv_flow_api.g_varchar2_table(31) := '2C305D2C5B302C312C302C305D2C5B302C312C312C305D2C5B302C312C302C305D5D2C5B5B302C302C302C305D2C5B302C302C302C305D2C5B312C312C312C305D2C5B302C312C302C305D5D2C5B5B302C302C302C305D2C5B302C312C302C305D2C5B31';
wwv_flow_api.g_varchar2_table(32) := '2C312C302C305D2C5B302C312C302C305D5D5D2C5B5B5B302C302C312C305D2C5B302C312C312C305D2C5B302C312C302C305D2C5B302C302C302C305D5D2C5B5B302C302C302C305D2C5B302C312C312C305D2C5B302C302C312C315D2C5B302C302C30';
wwv_flow_api.g_varchar2_table(33) := '2C305D5D2C5B5B302C302C312C305D2C5B302C312C312C305D2C5B302C312C302C305D2C5B302C302C302C305D5D2C5B5B302C302C302C305D2C5B302C312C312C305D2C5B302C302C312C315D2C5B302C302C302C305D5D5D5D2C692E63686F6F73654E';
wwv_flow_api.g_varchar2_table(34) := '6578743D66756E6374696F6E28297B76617220743D746869732E636F6C6C656374696F6E2E6C656E6774682C653D4D6174682E666C6F6F72284D6174682E72616E646F6D28292A74293B653D653D3D3D743F742D313A653B766172206F3D4D6174682E66';
wwv_flow_api.g_varchar2_table(35) := '6C6F6F7228342A4D6174682E72616E646F6D2829293B6F3D343D3D3D6F3F333A6F2C746869732E63757272656E742E746574726F6D696E6F3D746869732E6E6578742E746574726F6D696E6F2C746869732E63757272656E742E6E756D6265723D746869';
wwv_flow_api.g_varchar2_table(36) := '732E6E6578742E6E756D6265722C746869732E63757272656E742E646972656374696F6E3D746869732E6E6578742E646972656374696F6E2C746869732E63757272656E742E783D6E2E7853746172742C746869732E63757272656E742E793D6E2E7953';
wwv_flow_api.g_varchar2_table(37) := '746172742C746869732E6E6578742E746574726F6D696E6F3D746869732E636F6C6C656374696F6E5B655D5B6F5D2C746869732E6E6578742E6E756D6265723D652C746869732E6E6578742E646972656374696F6E3D6F2C722E6472617728297D2C692E';
wwv_flow_api.g_varchar2_table(38) := '6D6F76653D66756E6374696F6E28742C65297B72657475726E2121746869732E636865636B506173746528742C6529262628746869732E637574546574726F6E696D6F28292C746869732E63757272656E742E782B3D742C746869732E63757272656E74';
wwv_flow_api.g_varchar2_table(39) := '2E792B3D652C746869732E7061737465546574726F6E696D6F28292C722E6472617728292C2130297D2C692E726F746174653D66756E6374696F6E28297B746869732E637574546574726F6E696D6F28293B76617220743D746869732E63757272656E74';
wwv_flow_api.g_varchar2_table(40) := '2E646972656374696F6E3B746869732E63757272656E742E646972656374696F6E3D28746869732E63757272656E742E646972656374696F6E2B312925342C746869732E63757272656E742E746574726F6D696E6F3D746869732E636F6C6C656374696F';
wwv_flow_api.g_varchar2_table(41) := '6E5B746869732E63757272656E742E6E756D6265725D5B746869732E63757272656E742E646972656374696F6E5D2C746869732E636865636B506173746528302C30297C7C28746869732E63757272656E742E646972656374696F6E3D742C746869732E';
wwv_flow_api.g_varchar2_table(42) := '63757272656E742E746574726F6D696E6F3D746869732E636F6C6C656374696F6E5B746869732E63757272656E742E6E756D6265725D5B746869732E63757272656E742E646972656374696F6E5D292C746869732E7061737465546574726F6E696D6F28';
wwv_flow_api.g_varchar2_table(43) := '2131292C722E6472617728297D2C692E637574546574726F6E696D6F3D66756E6374696F6E28297B666F722876617220743D303B743C6E2E6E657874536964653B742B2B297B76617220653D746869732E63757272656E742E792B743B696628653E3D30';
wwv_flow_api.g_varchar2_table(44) := '29666F7228766172206F3D303B6F3C6E2E6E657874536964653B6F2B2B2930213D3D746869732E63757272656E742E746574726F6D696E6F5B745D5B6F5D2626286E2E626C6F636B735B655D5B746869732E63757272656E742E782B6F5D3D30297D7D2C';
wwv_flow_api.g_varchar2_table(45) := '692E636865636B50617374653D66756E6374696F6E28742C65297B666F7228766172206F3D303B6F3C6E2E6E657874536964653B6F2B2B29666F722876617220723D746869732E63757272656E742E792B652B6F2C693D652B6F2C733D303B733C6E2E6E';
wwv_flow_api.g_varchar2_table(46) := '657874536964653B732B2B2969662830213D3D746869732E63757272656E742E746574726F6D696E6F5B6F5D5B735D297B76617220633D746869732E63757272656E742E782B742B732C613D742B733B696628633C307C7C633E3D6E2E636F6C73297265';
wwv_flow_api.g_varchar2_table(47) := '7475726E21313B696628723E3D6E2E726F77732972657475726E21313B696628723E3D3026266E2E626C6F636B735B725D5B635D297B6966282128613E3D302626613C6E2E6E657874536964652626693C6E2E6E65787453696465292972657475726E21';
wwv_flow_api.g_varchar2_table(48) := '313B696628303D3D3D746869732E63757272656E742E746574726F6D696E6F5B695D5B615D2972657475726E21313B696628303D3D3D742626303D3D3D652972657475726E21317D7D72657475726E21307D2C692E7061737465546574726F6E696D6F3D';
wwv_flow_api.g_varchar2_table(49) := '66756E6374696F6E28297B666F722876617220743D303B743C6E2E6E657874536964653B742B2B297B76617220653D746869732E63757272656E742E792B743B696628653E3D3029666F7228766172206F3D303B6F3C6E2E6E657874536964653B6F2B2B';
wwv_flow_api.g_varchar2_table(50) := '2930213D3D746869732E63757272656E742E746574726F6D696E6F5B745D5B6F5D2626286E2E626C6F636B735B655D5B746869732E63757272656E742E782B6F5D3D746869732E63757272656E742E746574726F6D696E6F5B745D5B6F5D297D7D3B7661';
wwv_flow_api.g_varchar2_table(51) := '72206E3D7B73636F72653A7B616D6F756E743A302C68616C6657696474683A307D2C73706565643A302C74696D65723A6E756C6C2C7061757365643A21312C7061757365546578743A5B7B746578743A22537461727421222C68616C6657696474683A30';
wwv_flow_api.g_varchar2_table(52) := '7D2C7B746578743A22506175736564222C68616C6657696474683A307D2C7B746578743A2247616D65206F76657221222C68616C6657696474683A307D5D2C626C6F636B733A5B5D2C726F77733A31362C636F6C733A31302C6E657874536964653A347D';
wwv_flow_api.g_varchar2_table(53) := '3B6E2E7853746172743D4D6174682E666C6F6F7228286E2E636F6C732D6E2E6E65787453696465292F32292C6E2E7953746172743D2D6E2E6E657874536964652C6E2E73657447616D653D66756E6374696F6E28297B742E636C6173734E616D652B3D22';
wwv_flow_api.g_varchar2_table(54) := '20746574726973222C722E6E6F64653D646F63756D656E742E637265617465456C656D656E74282263616E76617322292C722E6E6F64652E636C6173734E616D653D2274657472697343616E766173222C722E6E6F64652E736574417474726962757465';
wwv_flow_api.g_varchar2_table(55) := '2822746162696E646578222C223022292C722E6E6F64652E696E6E657248544D4C3D22596F75722062726F7773657220646F6573206E6F7420737570706F7274207468652048544D4C352063616E76617320746167222C742E617070656E644368696C64';
wwv_flow_api.g_varchar2_table(56) := '28722E6E6F6465292C722E6E6F64652E73657441747472696275746528227769647468222C722E77696474682B22707822292C722E6E6F64652E7365744174747269627574652822686569676874222C722E6865696768742B22707822292C722E636F6E';
wwv_flow_api.g_varchar2_table(57) := '746578743D722E6E6F64652E676574436F6E746578742822326422292C722E636F6E746578742E666F6E743D22626F6C64203138707820417269616C223B666F722876617220653D303B653C746869732E7061757365546578742E6C656E6774683B652B';
wwv_flow_api.g_varchar2_table(58) := '2B29746869732E7061757365546578745B655D2E68616C6657696474683D4D6174682E726F756E6428722E636F6E746578742E6D6561737572655465787428746869732E7061757365546578745B655D2E74657874292E77696474682F32293B666F7228';
wwv_flow_api.g_varchar2_table(59) := '746869732E73636F72652E68616C6657696474683D4D6174682E726F756E6428722E636F6E746578742E6D656173757265546578742830292E77696474682F32292C653D303B653C746869732E726F77733B652B2B297B746869732E626C6F636B735B65';
wwv_flow_api.g_varchar2_table(60) := '5D3D5B5D3B666F7228766172206F3D303B6F3C746869732E636F6C733B6F2B2B29746869732E626C6F636B735B655D5B6F5D3D317D722E647261774261636B67726F756E6428292C722E64726177426C6F636B7328292C722E647261774E657874426C6F';
wwv_flow_api.g_varchar2_table(61) := '636B7328292C722E6472617750617573652830292C722E6E6F64652E666F63757328292C722E6E6F64652E6164644576656E744C697374656E65722822636C69636B222C6E2E726573657447616D652C2131297D2C6E2E726573657447616D653D66756E';
wwv_flow_api.g_varchar2_table(62) := '6374696F6E28297B722E6E6F64652E72656D6F76654576656E744C697374656E65722822636C69636B222C6E2E726573657447616D652C2131292C722E6E6F64652E6164644576656E744C697374656E657228226B6579646F776E222C6E2E6B65795072';
wwv_flow_api.g_varchar2_table(63) := '6573732C2131292C722E6E6F64652E6164644576656E744C697374656E65722822666F637573222C6E2E666F6375732C2131292C722E6E6F64652E6164644576656E744C697374656E65722822626C7572222C6E2E626C75722C2131292C6E2E73657453';
wwv_flow_api.g_varchar2_table(64) := '636F72652830293B666F722876617220743D303B743C6E2E726F77733B742B2B29666F722876617220653D303B653C6E2E636F6C733B652B2B296E2E626C6F636B735B745D5B655D3D303B692E63686F6F73654E65787428292C692E63686F6F73654E65';
wwv_flow_api.g_varchar2_table(65) := '787428292C6E2E73706565643D3165332C6E2E74696D65723D736574496E74657276616C286E2E6D6F76652C6E2E7370656564297D2C6E2E6D6F76653D66756E6374696F6E28297B692E6D6F766528302C31297C7C286E2E636865636B53636F72652829';
wwv_flow_api.g_varchar2_table(66) := '2C6E2E636865636B47616D654F7665722829297D2C6E2E636865636B53636F72653D66756E6374696F6E28297B76617220743D302C653D692E63757272656E742E792B6E2E6E657874536964652D313B653E3D6E2E726F7773262628653D6E2E726F7773';
wwv_flow_api.g_varchar2_table(67) := '2D31293B666F7228766172206F3D303B6F3C3D6E2E6E657874536964653B6F2B2B297B666F722876617220723D21302C733D303B733C6E2E636F6C733B732B2B29696628216E2E626C6F636B735B655D5B735D297B723D21313B627265616B7D69662872';
wwv_flow_api.g_varchar2_table(68) := '29742B2B2C746869732E73636F72654C696E652865293B656C7365206966282D2D653C3029627265616B7D743E312626746869732E61646453636F7265283130302A74297D2C6E2E73636F72654C696E653D66756E6374696F6E2874297B666F72287661';
wwv_flow_api.g_varchar2_table(69) := '7220653D743B653E303B652D2D29666F7228766172206F3D303B6F3C6E2E636F6C733B6F2B2B296E2E626C6F636B735B655D5B6F5D3D6E2E626C6F636B735B652D315D5B6F5D3B746869732E61646453636F726528313030297D2C6E2E73657453636F72';
wwv_flow_api.g_varchar2_table(70) := '653D66756E6374696F6E2874297B746869732E73636F72652E616D6F756E743D742C746869732E73636F72652E68616C6657696474683D4D6174682E726F756E6428722E636F6E746578742E6D656173757265546578742874292E77696474682F32292C';
wwv_flow_api.g_varchar2_table(71) := '722E6472617728297D2C6E2E61646453636F72653D66756E6374696F6E2874297B76617220653D746869732E73636F72652E616D6F756E742C6F3D652B743B746869732E73657453636F7265286F292C6E2E73706565643E31303026264D6174682E666C';
wwv_flow_api.g_varchar2_table(72) := '6F6F72286F2F316533293E4D6174682E666C6F6F7228652F316533292626286E2E73706565642D3D31302C636C656172496E74657276616C28746869732E74696D6572292C6E2E74696D65723D736574496E74657276616C286E2E6D6F76652C6E2E7370';
wwv_flow_api.g_varchar2_table(73) := '65656429297D2C6E2E636865636B47616D654F7665723D66756E6374696F6E28297B666F722876617220743D303B743C6E2E636F6C733B742B2B296966286E2E626C6F636B735B305D5B745D2972657475726E20766F696420746869732E67616D654F76';
wwv_flow_api.g_varchar2_table(74) := '657228293B692E63686F6F73654E65787428297D2C6E2E67616D654F7665723D66756E6374696F6E28297B636C656172496E74657276616C28746869732E74696D6572292C722E6E6F64652E72656D6F76654576656E744C697374656E657228226B6579';
wwv_flow_api.g_varchar2_table(75) := '646F776E222C6E2E6B657950726573732C2131292C722E6E6F64652E72656D6F76654576656E744C697374656E65722822666F637573222C6E2E666F6375732C2131292C722E6E6F64652E72656D6F76654576656E744C697374656E65722822626C7572';
wwv_flow_api.g_varchar2_table(76) := '222C6E2E626C75722C2131292C6E2E616E696D61746547616D654F76657228297D2C6E2E616E696D61746547616D654F7665723D66756E6374696F6E28297B76617220743D6E2E726F77732D312C653D303B2166756E6374696F6E28297B743E3D303F28';
wwv_flow_api.g_varchar2_table(77) := '6E2E626C6F636B735B745D5B655D3D312C722E6472617728292C722E6472617750617573652832292C652B313C6E2E636F6C733F652B2B3A28653D302C742D2D292C73657454696D656F757428617267756D656E74732E63616C6C65652C323029293A72';
wwv_flow_api.g_varchar2_table(78) := '2E6E6F64652E6164644576656E744C697374656E65722822636C69636B222C6E2E726573657447616D652C2131297D28297D2C6E2E70617573653D66756E6374696F6E28297B6E2E7061757365643F28722E6472617728292C6E2E74696D65723D736574';
wwv_flow_api.g_varchar2_table(79) := '496E74657276616C286E2E6D6F76652C6E2E737065656429293A28722E6472617750617573652831292C636C656172496E74657276616C28746869732E74696D657229292C6E2E7061757365643D216E2E7061757365647D2C6E2E666F6375733D66756E';
wwv_flow_api.g_varchar2_table(80) := '6374696F6E28297B6E2E706175736564262628722E6E6F64652E666F63757328292C6E2E70617573652829297D2C2428222E7465747269732D6C65667422292E6F6E2822636C69636B222C66756E6374696F6E28297B692626286E2E7061757365647C7C';
wwv_flow_api.g_varchar2_table(81) := '692E6D6F7665282D312C3029297D292C2428222E7465747269732D726967687422292E6F6E2822636C69636B222C66756E6374696F6E28297B692626286E2E7061757365647C7C692E6D6F766528312C3029297D292C2428222E7465747269732D726F74';
wwv_flow_api.g_varchar2_table(82) := '61746522292E6F6E2822636C69636B222C66756E6374696F6E28297B692626286E2E7061757365647C7C692E726F746174652829297D292C2428222E7465747269732D706175736522292E6F6E2822636C69636B222C66756E6374696F6E28297B692626';
wwv_flow_api.g_varchar2_table(83) := '286E2E7061757365647C7C6E2E70617573652829297D292C2428222E7465747269732D646F776E22292E6F6E2822636C69636B222C66756E6374696F6E28297B692626286E2E7061757365647C7C692E6D6F766528302C3129297D292C6E2E6B65795072';
wwv_flow_api.g_varchar2_table(84) := '6573733D66756E6374696F6E2874297B696628742E70726576656E7444656661756C7428292C6E2E7061757365642938303D3D3D742E6B6579436F646526266E2E706175736528293B656C73652073776974636828742E6B6579436F6465297B63617365';
wwv_flow_api.g_varchar2_table(85) := '2033373A692E6D6F7665282D312C30293B627265616B3B636173652033383A692E726F7461746528293B627265616B3B636173652033393A692E6D6F766528312C30293B627265616B3B636173652034303A692E6D6F766528302C31293B627265616B3B';
wwv_flow_api.g_varchar2_table(86) := '636173652038303A6E2E706175736528297D7D2C6E2E73657447616D6528297D28646F63756D656E742E676574456C656D656E7442794964287429297D';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(54952140381143675849)
,p_plugin_id=>wwv_flow_api.id(54952113935327667410)
,p_file_name=>'script.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false), p_is_component_import => true);
commit;
end;
/
set verify on feedback on define on
prompt  ...done
